po2flatxml(1)

NAME
po2flatxml - Convert Gettext PO localization files to flat XML files.

SYNOPSIS

po2flatxml [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-t|--template TEMPLATE] [-S|--timestamp] [-r|--root] [-v|--value] [-k|--key] [-n|--namespace] [-w|--indent]

DESCRIPTION
See: http://docs.translatehouse.org/projects/translate-toolkit/en/latest/commands/flatxml2po.html for examples and usage instructions.

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in po, pot formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in xml format

-t/--template
    read from TEMPLATE in xml format

-S/--timestamp
    skip conversion if the output file has newer timestamp

-r/--root
    name of the XML root element (default: "root")

-v/--value
    name of the XML value element (default: "str")

-k/--key
    name of the XML key attribute (default: "key")

-n/--namespace
    XML namespace uri (default: None)

-w/--indent
    indent width in spaces, 0 for no indent (default: 2)